
QGIS Application - Bug report #1556

1.0.0 segfault with attached raster

2009-02-19 03:55 PM - jcs -

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 11616

Description

The attached raster image causes a seg fault on a vanilla 1.0.0 build.  This raster has successfully loaded with previous versions of qgis.

History

#1 - 2009-02-19 03:58 PM - jcs -

- Status changed from Open to Closed

- Resolution set to invalid

cannot submit raster, exceeds attachment size limit

#2 - 2009-02-20 01:15 PM - Maciej Sieczka -

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

Replying to [comment:1 jcs]:

cannot submit raster, exceeds attachment size limit

Don't close the ticket just because you can't provide a sample. How big is it? If you 7zip it does it help? Or can you maybe upload your image somewhere,

(e.g. use http://sites.google.com) and link it here? Can you provide a backtrace from gdb too?

#3 - 2009-02-20 01:24 PM - jcs -

Link to file: http://www.mibbit.com/up/19Fqk7pu.gn1

bt: http://www.mibbit.com/pb/a4Rlrq

#4 - 2009-02-21 12:03 AM - Maciej Sieczka -

Loads fine in trunk , QT 4.4.3, GDAL 1.6.0 +SVN , Debian amd64.

What are yours?
Can anybody try to reproduce with latest 1.0 SVN branch?

#5 - 2009-02-23 05:27 AM - ersts -

- Status changed from Feedback to Open

jcs,

Do you have a default style file (qml) associated with the raster?

#6 - 2009-02-23 06:42 AM - jcs -

Replying to [comment:5 msieczka]:

Loads fine in trunk , QT 4.4.3, GDAL 1.6.0 +SVN , Debian amd64.

What are yours?

Can anybody try to reproduce with latest 1.0 SVN branch?

i built from source (using the tarball on this page: [http://www.qgis.org/download/sources.html])

qt 4.4.0

gdal 1.5.1

red hat 3.4.6-2

Dual-Core AMD Opteron(tm) Processor 2220

#7 - 2009-02-23 06:47 AM - jcs -

Replying to [comment:6 ersts]:

jcs,

Do you have a default style file (qml) associated with the raster?

ersts, i do have a .qml file (not sure where/how it was made).  it has a version different than the qgis i am currently running and when i rename it the raster

loads fine.

thanks

#8 - 2009-02-23 07:17 AM - ersts -

- Status changed from Open to Closed

- Resolution set to duplicate

jcs,
This problem has been fixed ( https://trac.osgeo.org/qgis/ticket/1480 ) and the patch has been applied to the trunk as well as the Version-1_0 branch.

If you want to build from source I would suggest using svn to get the version 1 branch [ http://svn.osgeo.org/qgis/branches/Version-1_0/ ] or use the trunk

which will have all of the newest and greatest stuff in it but won't be as stable as the Version-1_0 branch.

#9 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted

Files

00033023.qml 2.13 KB 2009-02-23 jcs -
